require 'net/http'
require 'json'

url = URI.parse("http://www.insecam.org/en/jsoncountries/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url.request_uri)
response = http.request(request)
data = JSON.parse(response.body)
countries = data['countries']

countries.each do |key, value|
    puts "Code : (#{key}) - #{value['country']} / (#{value['count']})"
    puts ""
end

begin
    print "Code(##) : "
    country = gets.chomp
    url = URI.parse("http://www.insecam.org/en/bycountry/#{country}")
    http = Net::HTTP.new(url.host, url.port)
    request = Net::HTTP::Get.new(url.request_uri)
    response = http.request(request)
    last_page = response.body.scan(/pagenavigator\("\?page=", (\d+)/)[0][0]

    (0..last_page.to_i).each do |page|
        url = URI.parse("http://www.insecam.org/en/bycountry/#{country}/?page=#{page}")
        http = Net::HTTP.new(url.host, url.port)
        request = Net::HTTP::Get.new(url.request_uri)
        response = http.request(request)
        find_ip = response.body.scan(/http:\/\/\d+\.\d+\.\d+\.\d+:\d+/)
        
        File.open("#{country}.txt", 'w') do |file|
            find_ip.each do |ip|
                puts ""
                puts "\033[1;31m#{ip}"
                file.puts ip
            end
        end
    end
rescue
    puts "\033[1;37m"
    puts "\033[37mSave File : #{country}.txt"
    exit
end
